# $Id: perl-Apache-AuthTkt.spec 8641 2010-02-10 16:24:35Z shuff $
# Authority: shuff
# Upstream: Gavin Carr <gavinc$openfusion,com,au>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Apache-AuthTkt

Summary: Generate authentication tickets for mod_auth_tkt Apache module
Name: perl-%{real_name}
Version: 2.1
Release: 1%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Apache-AuthTkt/

Packager: Steve Huff <shuff@vecna.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/G/GA/GAVINC/Apache-AuthTkt-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: rpm-macros-rpmforge
Requires: perl


### remove autoreq Perl dependencies
%filter_from_requires /^perl.*/d
%filter_setup

%description
Apache::AuthTkt is a module for generating and validating authentication
tickets used with the 'mod_auth_tkt' apache module. Tickets are typically
generated by a login web page of some kind when a user has been authenticated.
The ticket contains a username/uid for the authenticated user, and often also
the IP address they authenticated from, a set of authorisation tokens, and any
other user data required. The ticket also includes an MD5 hash of all the
included user data plus a shared secret, so that tickets can be validated by
mod_auth_tkt without requiring access to the user repository.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc MANIFEST README
%doc %{_mandir}/man?/*
%dir %{perl_vendorlib}/Apache/
%{perl_vendorlib}/Apache/*

%changelog
* Wed Feb 10 2010 Steve Huff <shuff@vecna.org> - 2.1-1 - 8641/shuff
- Initial package.
